"use client"

import * as React from "react"

import { Button } from "./ui/button"
import { cn } from '../lib/utils'
import { icons } from "../lib/icons"

export function ContactButton({variant, link}) {
    return (
        <a href={link} target="_blank"><Button id={`${variant}Btn`} variant="outline" size="icon" className={cn("bg-inherit border-none text-content hover:text-bkg p-1 justify-center")}  dangerouslySetInnerHTML={{ __html: icons[variant] }} /></a>
    )
}